import time
from machine import I2C, Pin
from scd30 import SCD30

i2c1 = I2C(scl=Pin(22), sda=Pin(21), freq=40000, timeout=151000)
scd30=SCD30(i2c1, 0x61)

led1 = Pin(23,Pin.OUT) # Verte
led2 = Pin(19, Pin.OUT) # Jaune
led3 = Pin(18, Pin.OUT) # Orange
led4 = Pin (5, Pin.OUT) # Rouge

led2.value(0)
led3.value(0)
led4.value(0) # Extinction des leds si arrêt brutal la fois précédente ...

ledCourante=1
led1.value(1) # par défaut, on allume la led 1
 
while True: # Boucle infinie
    
    while scd30.get_status_ready()!=1:
        time.sleep_ms(2000)
    
    resultats=scd30.read_measurement()   # Lecture des données du capteur.
    
    print(resultats)
    taux=resultats[0] # le taux de CO2
    

    if taux<800:
        ledSuivante=1
               
    elif taux<1000:
        ledSuivante=2
        
       
    elif taux<1500:
        ledSuivante=3
       
    else:
        ledSuivante=4
       

    if ledSuivante!=ledCourante:
        
        instruction1='led'+str(ledCourante)+'.value(0)'
        eval(instruction1) # On éteint la led courante
        instruction2='led'+str(ledSuivante)+'.value(1)'
        eval(instruction2) # On allume la led suivante
        
        ledCourante=ledSuivante
    
    time.sleep_ms(2000)
    
   