import time
from machine import I2C, Pin
from scd30 import SCD30
from random import *

def gestionLeds (T, ledC):
    if T<800:
        ledS=1
    else :
        if T<1500: # Taux entre 800 et 1500
            ledS=2
        else: # taux supérieur à 1500
            ledS=3
    if ledS!=ledC: # Si changement de led ...
        instruction1='led'+str(ledC)+'.value(0)' # On éteint l'ancienne ...Python dynamique !
        eval(instruction1)
        instruction2='led'+str(ledS)+'.value(1)' # On allume la nouvelle
        eval(instruction2)
    return(ledS)

def gestionBuzzer(ledC, ledS):
    
    if ((ledC==1 or ledC==2) and ledS==3): # On passe de 1 (ou 2) à 3...
        buzz.value(1)
        time.sleep_ms(200)
        buzz.value(0)
    else:
        if ((ledC==1 or ledC==2 or ledC==3) and ledS==4): # On passe de 1 (ou 2) à 3...
            buzz.value(1)
            time.sleep_ms(200)
            buzz.value(0)
            time.sleep_ms(500)
            buzz.value(1)
            time.sleep_ms(200)
            buzz.value(0)
  
i2c1 = I2C(scl=Pin(22), sda=Pin(21), freq=40000, timeout=151000)
scd30=SCD30(i2c1, 0x61)

buzz= Pin(13, Pin.OUT)

led1 = Pin(23,Pin.OUT)
led2 = Pin(19, Pin.OUT)
led3 = Pin(18, Pin.OUT)
led4 = Pin (5, Pin.OUT)

ledCourante=1
led1.value(1)
led2.value(0)
led3.value(0)
led4.value(0)


time.sleep_ms(5000)

while True:
    while scd30.get_status_ready()!=1:
        time.sleep_ms(2000)
    
    resultats=scd30.read_measurement()
    
    taux=resultats[0] # Récupération du taux de co2
 
    ledSuivante=gestionLeds(taux, ledCourante)
    gestionBuzzer(ledCourante, ledSuivante)
    ledCourante=ledSuivante
    time.sleep_ms(2000)
          
    